Bug 1179249 - (CVE-2020-29074) VUL-0: CVE-2020-29074: x11vnc: inappropriate permission in in shmget calls
(CVE-2020-29074)
VUL-0: CVE-2020-29074: x11vnc: inappropriate permission in in shmget calls
Status: NEW
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Security
Leap 15.1
Other Other
: P3 - Medium : Normal (vote)
: ---
Assigned To: Pascal Bleser
Security Team bot
https://smash.suse.de/issue/272355/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-11-26 10:23 UTC by Alexandros Toptsoglou
Modified: 2020-11-26 11:15 UTC (History)
0 users

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandros Toptsoglou 2020-11-26 10:23:13 UTC
CVE-2020-29074

scan.c in x11vnc 0.9.16 uses IPC_CREAT|0777 in shmget calls, which allows access
by actors other than the current user.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-29074
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-29074
https://github.com/LibVNC/x11vnc/commit/69eeb9f7baa14ca03b16c9de821f9876def7a36a
Comment 1 Alexandros Toptsoglou 2020-11-26 10:27:51 UTC
Tracked Leap 15.1 15.2 and Factory as affected